#include <Arduino.h>
#include <Servo.h>
#include "pinOut.h"

void mmrMove(double steps, double millisecs, double angle, Servo servo_1, Servo servo_2)
{
    for(int __i__=0;__i__<steps;++__i__)
    {
        if (((OFFSET+(angle)) >= 0) and ((OFFSET+(angle)) <= MAXDEGREE)) servo_1.write(OFFSET+(angle));
        if (((OFFSET+(angle)) >= 0) and ((OFFSET+(angle)) <= MAXDEGREE)) servo_2.write(OFFSET-(angle));
	if (millisecs >= 100) delay(millisecs);
	else delay(100);
        digitalWrite(PINRELECTROMAGNET,1);
        digitalWrite(PINLELECTROMAGNET,1);
	digitalWrite(PINCELECTROMAGNET,0);
        servo_1.write(OFFSET);
        servo_2.write(OFFSET);
        if (millisecs >= 100) delay(millisecs);
	else delay(100);
	digitalWrite(PINCELECTROMAGNET,1);
        digitalWrite(PINRELECTROMAGNET,0);
        digitalWrite(PINLELECTROMAGNET,0);
    }
    digitalWrite(PINCELECTROMAGNET,0);
}

void mmrTurnRight(double steps, double millisecs, double angle, Servo servo_1)
{
    digitalWrite(PINRELECTROMAGNET,1);
    for(int __i__=0;__i__<steps;++__i__)
    {
        if (((OFFSET+(angle)) >= 0) and ((OFFSET+(angle)) <= MAXDEGREE)) servo_1.write(OFFSET+(angle));
        if (millisecs >= 100) delay(millisecs);
	else delay(100);
        digitalWrite(PINLELECTROMAGNET,1);
        servo_1.write(OFFSET);
        if (millisecs >= 100) delay(millisecs);
	else delay(100);
        digitalWrite(PINLELECTROMAGNET,0);
    }
    digitalWrite(PINRELECTROMAGNET,0);   
}

void mmrTurnLeft(double steps, double millisecs, double angle, Servo servo_2)
{
    digitalWrite(PINLELECTROMAGNET,1);
    for(int __i__=0;__i__<steps;++__i__)
    {
        if (((OFFSET-(angle)) >= 0) and ((OFFSET-(angle)) <= MAXDEGREE)) servo_2.write(OFFSET-(angle));
        if (millisecs >= 100) delay(millisecs);
	else delay(100);
        digitalWrite(PINRELECTROMAGNET,1);
        servo_2.write(OFFSET);
        if (millisecs >= 100) delay(millisecs);
	else delay(100);
        digitalWrite(PINRELECTROMAGNET,0);
    }
    digitalWrite(PINLELECTROMAGNET,0);
}

